APIReferenceUploads
Complete an upload once its bytes are in storage
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/uploads/complete" \ -H "Content-Type: application/json" \ -d '{ "uploadId": "ef523ba8-509e-47af-8e2c-5fa751596497", "checksum": "string" }'{ "uploadId": "ef523ba8-509e-47af-8e2c-5fa751596497", "status": "completed", "objectKey": "string", "publicUrl": "string", "idempotent": true, "mediaId": "5a8ffac5-2288-485d-b463-90c3cd9941ad", "variants": { "1:1": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "4:5": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "9:16": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "1.91:1": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "source": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" } }, "variantsStatus": "pending", "avatarUrl": "string"}